#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n , h;
    cin>>h>>n;
    int a[h][n];
   for(int i=1; i<=h; i++)
    {
        for(int j=1; j<=n; j++)
        cin>>a[i][j];
    }
    if(n==1) cout<<a[h][n];
}